/*
 * PalmWac includes
 *
 * $Id: palmwac.h,v 1.10 2002/04/02 19:49:18 ldrolez Exp $
 *
 */

typedef enum { compatX11=1, compatGpm, compatWin } Compat;

struct Pref {
  Compat compat;		/* compatibility mode */
  Int16 relative;		/* relative mode */
  Int16 sensitivity;		/*  */
  Int16 acceleration;		/*  */
  Int16 clickWithTap;		/*  */
  Int16 debug;			/* debug mode 0/1 */
};

struct State {
  UInt16 x;			/* x coord */
  UInt16 y;			/* y coord */
  UInt16 button;		/* tablet buttons state */
  UInt16 palmkey;		/* palm hard keys state */
  UInt32 baud;			/* tablet baudrate */
  UInt16 xyResolution;		/* x and y tablet resolution */    
  UInt8  tiltMode;		/* tilt mode on/off */
};

extern struct Pref gPref;
extern struct State gState;

/* serial */
Err  SerialOpen(UInt32 baud);
void SerialClose(void);
Err  SerialTx (void *buf, UInt32 count, UInt32 *nbytes);
Err  SerialRx (void *buf, UInt32 count, UInt32 timeout, UInt32 *nbytes);
Err  SerialRxCheck (UInt32 *nbytes);
Err  SerialTxString(Char *s);

void Debug (char *msg);

void MyPrefSave (void);
void MyPrefLoad (void);

void TabletProcessSerial(void);
Err TabletSend (UInt16 x, UInt16 y, UInt16 buttons);
Err TabletSendXY(Int16 x, Int16 y, eventsEnum etype, UInt16 keyonly, UInt16 keys);
void TabletReset (char chr);
